TemplatevtkVRMLVectorType< T > class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVRMLVectorType< T > Class Template Reference

`#include <vtkVRML.h>`

List of all members.

### template<class T>
class vtkVRMLVectorType< T >

## Public Methods
void | Init ()
| vtkVRMLVectorType ()
| vtkVRMLVectorType (int usenew)
| ~vtkVRMLVectorType (void)
void | Reserve (int newSize)
void | Demand (int newSize)
int | Count (void) const
T & | Get (int index) const
T & | operator[] (int index)
| operator T * () const
vtkVRMLVectorType< T > & | operator+= (T datum)
void | Push (T datum)
T & | Pop ()
T & | Top ()
void * | operator new (size_t n)
void | operator delete (void *)
## Public Attributes
int | UseNew
## Protected Attributes
T * | Data
int | Allocated
int | Used

## Constructor & Destructor Documentation

template<class T>
vtkVRMLVectorType< T >::vtkVRMLVectorType | ( |  | ) | `[inline]`

| Definition at line 91 of file vtkVRML.h.

template<class T>
vtkVRMLVectorType< T >::vtkVRMLVectorType | ( | int | usenew | ) | `[inline]`

| Definition at line 96 of file vtkVRML.h.

template<class T>
vtkVRMLVectorType< T >::~vtkVRMLVectorType | ( | void |  | ) | `[inline]`

| Definition at line 100 of file vtkVRML.h.

## Member Function Documentation

template<class T>
void vtkVRMLVectorType< T >::Init | ( |  | ) | `[inline]`

| Definition at line 76 of file vtkVRML.h. References vtkVRMLAllocator::AllocateMemory(), DEFAULTINCREMENT, and vtkVRMLAllocator::Initialize().

template<class T>
void vtkVRMLVectorType< T >::Reserve | ( | int | newSize | ) | `[inline]`

| Definition at line 107 of file vtkVRML.h. References vtkVRMLAllocator::AllocateMemory(), and DEFAULTINCREMENT.

template<class T>
void vtkVRMLVectorType< T >::Demand | ( | int | newSize | ) | `[inline]`

| Definition at line 137 of file vtkVRML.h.

template<class T>
int vtkVRMLVectorType< T >::Count | ( | void |  | ) | const`[inline]`

| Definition at line 142 of file vtkVRML.h.

template<class T>
T& vtkVRMLVectorType< T >::Get | ( | int | index | ) | const`[inline]`

| Definition at line 146 of file vtkVRML.h.

template<class T>
T& vtkVRMLVectorType< T >::operator[] | ( | int | index | ) | `[inline]`

| Definition at line 152 of file vtkVRML.h.

template<class T>
vtkVRMLVectorType< T >::operator T * | ( |  | ) | const`[inline]`

| Definition at line 158 of file vtkVRML.h.

template<class T>
vtkVRMLVectorType<T>& vtkVRMLVectorType< T >::operator+= | ( | T | datum | ) | `[inline]`

| Definition at line 162 of file vtkVRML.h.

template<class T>
void vtkVRMLVectorType< T >::Push | ( | T | datum | ) | `[inline]`

| Definition at line 169 of file vtkVRML.h.

template<class T>
T& vtkVRMLVectorType< T >::Pop | ( |  | ) | `[inline]`

| Definition at line 175 of file vtkVRML.h.

template<class T>
T& vtkVRMLVectorType< T >::Top | ( |  | ) | `[inline]`

| Definition at line 180 of file vtkVRML.h.

template<class T>
void* vtkVRMLVectorType< T >::operator new | ( | size_t | n | ) | `[inline]`

| Definition at line 185 of file vtkVRML.h. References vtkVRMLAllocator::AllocateMemory().

template<class T>
void vtkVRMLVectorType< T >::operator delete | ( | void * |  | ) | `[inline]`

| Definition at line 190 of file vtkVRML.h.

## Member Data Documentation

template<class T>
T* vtkVRMLVectorType< T >::Data`[protected]`

| Definition at line 72 of file vtkVRML.h.

template<class T>
int vtkVRMLVectorType< T >::Allocated`[protected]`

| Definition at line 73 of file vtkVRML.h.

template<class T>
int vtkVRMLVectorType< T >::Used`[protected]`

| Definition at line 74 of file vtkVRML.h.

template<class T>
int vtkVRMLVectorType< T >::UseNew

| Definition at line 194 of file vtkVRML.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkVRML.h